Record Class AssistantConversationService.ConversationDetail
java.lang.Object
java.lang.Record
ch.tocco.nice2.optional.aiassistant.impl.conversation.AssistantConversationService.ConversationDetail
- Record Components:
key- the conversation keylabel- the conversation label (always generated at creation)function- the assistant function the conversation belongs tolanguage- the conversation language as an ISO codemessages- the messages, oldest first
- Enclosing class:
AssistantConversationService
public static record AssistantConversationService.ConversationDetail(String key, String label, String function, String language, List<AssistantConversationService.Message> messages)
extends Record
Response body of
GET /nice2/rest/aiAssistant/conversations/{id} — a single
conversation with all of its messages in chronological order.-
Constructor Summary
ConstructorsConstructorDescriptionConversationDetail(String key, String label, String function, String language, List<AssistantConversationService.Message> messages) Creates an instance of aConversationDetailrecord class. -
Method Summary
Modifier and TypeMethodDescriptionfinal booleanIndicates whether some other object is "equal to" this one.function()Returns the value of thefunctionrecord component.final inthashCode()Returns a hash code value for this object.key()Returns the value of thekeyrecord component.label()Returns the value of thelabelrecord component.language()Returns the value of thelanguagerecord component.messages()Returns the value of themessagesrecord component.final StringtoString()Returns a string representation of this record class.
-
Constructor Details
-
ConversationDetail
-
-
Method Details
-
toString
-
hashCode
-
equals
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared withObjects::equals(Object,Object). -
key
-
label
-
function
-
language
-
messages
-